Debian Bug report logs - #545139
akonadi-server: not possible to create socket in AFS $HOME

version graph

Package: akonadi-server; Maintainer for akonadi-server is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for akonadi-server is src:akonadi.

Reported by: Markus Koeberl <markus.koeberl@tugraz.at>

Date: Sat, 5 Sep 2009 09:45:22 UTC

Severity: important

Tags: confirmed, fixed-upstream, patch, upstream

Merged with 604805

Found in version akonadi/1.2.0-2

Fixed in version akonadi/1.3.1-4

Done: Modestas Vainius <modax@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.kde.org/show_bug.cgi?id=179006

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#545139; Package akonadi-server. (Sat, 05 Sep 2009 09:45:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koeberl <markus.koeberl@tugraz.at>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 05 Sep 2009 09:45:26 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Markus Koeberl <markus.koeberl@tugraz.at>
To: submit@bugs.debian.org
Subject: akonadi-server: not possible to create socket in AFS $HOME
Date: Sat, 5 Sep 2009 11:39:55 +0200
Package: akonadi-server
Version: 1.2.0-2
Severity: important

It is not possible to run akonadi-server if the home directory is located on a 
AFS server because creating sockets are not sported by AFS.

Please change ~/.local/share/akonadi/akonadiserver.socket somewhere to /tmp or 
make it configurable.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (700, 'unstable'), (500, 'oldstable'), (500, 
'stable'), (100, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages akonadi-server depends on:
ii  libakonadiprivate1     1.2.0-2           libraries for the Akonadi PIM 
stor
ii  libboost-program-optio 1.38.0-7          program options library for C++
ii  libc6                  2.9-23            GNU C Library: Shared libraries
ii  libgcc1                1:4.4.1-1         GCC support library
ii  libqt4-dbus            4:4.5.2-1         Qt 4 D-Bus module
ii  libqt4-sql-mysql       4:4.5.2-1         Qt 4 MySQL database driver
ii  libqtcore4             4:4.5.2-1         Qt 4 core module
ii  libstdc++6             4.4.1-1           The GNU Standard C++ Library v3
ii  mysql-server           5.0.51a-24+lenny1 MySQL database server 
(metapackage
ii  mysql-server-5.0 [mysq 5.0.51a-24+lenny1 MySQL database server binaries

akonadi-server recommends no packages.

akonadi-server suggests no packages.

-- no debconf information





Added tag(s) upstream. Request was from Armin Berres <armin@space-based.de> to control@bugs.debian.org. (Sun, 06 Sep 2009 23:09:17 GMT) Full text and rfc822 format available.

Message sent on to Markus Koeberl <markus.koeberl@tugraz.at>:
Bug#545139. (Sun, 06 Sep 2009 23:09:20 GMT) Full text and rfc822 format available.

Message #10 received at 545139-submitter@bugs.debian.org (full text, mbox):

From: Armin Berres <armin@space-based.de>
To: 545139-submitter@bugs.debian.org
Subject: Re: Bug#545139: akonadi-server: not possible to create socket in AFS $HOME
Date: Mon, 7 Sep 2009 01:02:08 +0200
tags 545139 upstream
kthxbye

Hello,

the bug you reported is a KDE bug. Please report it via
Help -> Report bug... menu item of the respective application
or by visiting https://bugs.kde.org/ and following the
instructions to report a new bug.

We appreciate that you reported the bug, but sadly the 
Debian Qt/KDE maintainers do not have resources to deal with
non Debian-specific bugs. Therefore it is unlikely that your
bug will be solved if you do not directly report it to the KDE
developers (unless it is/has been reported by somebody else).

Whenever you open a bug report or find an existing one in the KDE
bug tracking system, you can couple both this Debian bug and the
KDE bug together by sending a mail with the text below to
control@bugs.debian.org (replace KDE-BUG-URL with the address of
the bug report on https://bugs.kde.org/)

------------[ copy this ]------------
forwarded 545139 KDE-BUG-URL
thanks
------------[ copy this ]------------

Greetings,
Armin Berres
Reply-To: Markus Koeberl <markus.koeberl@tugraz.at>, 545139@bugs.debian.org
Resent-From: Markus Koeberl <markus.koeberl@tugraz.at>
Resent-To: debian-bugs-dist@lists.debian.org
Resent-CC: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
X-Loop: owner@bugs.debian.org
Resent-Date: Sat, 05 Sep 2009 09:45:22 +0000
Resent-Message-ID: <handler.545139.B.12521436128083@bugs.debian.org>
X-Debian-PR-Message: report 545139
X-Debian-PR-Package: akonadi-server
X-Debian-PR-Keywords: 
X-Debian-PR-Source: akonadi
Received: via spool by submit@bugs.debian.org id=B.12521436128083
          (code B ref -1); Sat, 05 Sep 2009 09:45:22 +0000
Received: (at submit) by bugs.debian.org; 5 Sep 2009 09:40:12 +0000
Received: from mailrelay.tu-graz.ac.at ([129.27.2.202] helo=mailrelay.tugraz.at)
	by rietz.debian.org with esmtp (Exim 4.63)
	(envelope-from <markus.koeberl@tugraz.at>)
	id 1Mjrkh-00021y-E7
	for submit@bugs.debian.org; Sat, 05 Sep 2009 09:40:11 +0000
Received: from mobilix.localnet (chello084115176162.graz.surfer.at [84.115.176.162])
	(authenticated bits=0)
	by mailrelay1.tugraz.at (8.14.3/8.14.3) with ESMTP id n859duOV000561
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <submit@bugs.debian.org>; Sat, 5 Sep 2009 11:39:57 +0200 (CEST)
From: Markus Koeberl <markus.koeberl@tugraz.at>
Organization: TU-Graz SPSC
To: submit@bugs.debian.org
Date: Sat, 5 Sep 2009 11:39:55 +0200
User-Agent: KMail/1.11.4 (Linux/2.6.26-2-686; KDE/4.3.0; i686; ; )
MIME-Version: 1.0
Content-Type: text/plain;
  charset="us-ascii"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
Message-Id: <200909051139.56132.markus.koeberl@tugraz.at>
X-TUG-Backscatter-control: U6wQopWZhufyKSD3syZIvQ
X-Scanned-By: MIMEDefang 2.65 on 129.27.10.18
Delivered-To: submit@bugs.debian.org
Resent-Date: Sat, 05 Sep 2009 09:45:26 +0000
X-Rc-Spam: 2008-11-04_01
X-Rc-Virus: 2007-09-13_01
X-Rc-Spam: 2008-11-04_01
X-Mailing-List: <debian-qt-kde@lists.debian.org> archive/latest/34990
X-Loop: debian-qt-kde@lists.debian.org
List-Id: <debian-qt-kde.lists.debian.org>
List-Post: <mailto:debian-qt-kde@lists.debian.org>
List-Help: <mailto:debian-qt-kde-request@lists.debian.org?subject=help>
List-Subscribe: <mailto:debian-qt-kde-request@lists.debian.org?subject=subscribe>
List-Unsubscribe: <mailto:debian-qt-kde-request@lists.debian.org?subject=unsubscribe>
Precedence: list
Resent-Sender: debian-qt-kde-request@lists.debian.org


Package: akonadi-server
Version: 1.2.0-2
Severity: important

It is not possible to run akonadi-server if the home directory is located on a 
AFS server because creating sockets are not sported by AFS.

Please change ~/.local/share/akonadi/akonadiserver.socket somewhere to /tmp or 
make it configurable.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (700, 'unstable'), (500, 'oldstable'), (500, 
'stable'), (100, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages akonadi-server depends on:
ii  libakonadiprivate1     1.2.0-2           libraries for the Akonadi PIM 
stor
ii  libboost-program-optio 1.38.0-7          program options library for C++
ii  libc6                  2.9-23            GNU C Library: Shared libraries
ii  libgcc1                1:4.4.1-1         GCC support library
ii  libqt4-dbus            4:4.5.2-1         Qt 4 D-Bus module
ii  libqt4-sql-mysql       4:4.5.2-1         Qt 4 MySQL database driver
ii  libqtcore4             4:4.5.2-1         Qt 4 core module
ii  libstdc++6             4.4.1-1           The GNU Standard C++ Library v3
ii  mysql-server           5.0.51a-24+lenny1 MySQL database server 
(metapackage
ii  mysql-server-5.0 [mysq 5.0.51a-24+lenny1 MySQL database server binaries

akonadi-server recommends no packages.

akonadi-server suggests no packages.

-- no debconf information




-- 
To UNSUBSCRIBE, email to debian-qt-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org





Set Bug forwarded-to-address to 'https://bugs.kde.org/show_bug.cgi?id=203460'. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Thu, 18 Feb 2010 14:18:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#545139; Package akonadi-server. (Mon, 29 Nov 2010 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 29 Nov 2010 13:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 545139@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>
To: 545139@bugs.debian.org
Subject: [PATCH] akonadi-server: not possible to create socket in AFS $HOME
Date: Mon, 29 Nov 2010 13:24:18 +0100
[Message part 1 (text/plain, inline)]
tags 545139 + patch
thanks

The attached patch changes Akonadi to create a symlink
.../socket-$HOSTNAME to a directory in /tmp, and to use this directory
for sockets.  This is similar to how KDE handles sockets in
$KDEHOME/socket-$HOSTNAME.

There is at least one known issue with the patch: it overwrites the
Options setting as the path in UNIX_SOCKET depends on the hostname.

With the patch applied, Akonadi can start with $HOME on AFS here and
KMail seems to be working fine as well (cf. #604805).

It would be nice if this patch could be included in Squeeze.

Regards,
Ansgar
[04_socket_location.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de> to control@bugs.debian.org. (Mon, 29 Nov 2010 13:03:06 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 09 Dec 2010 16:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#545139; Package akonadi-server. (Mon, 13 Dec 2010 14:36:03 GMT) Full text and rfc822 format available.

Message #24 received at 545139@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>
To: 545139@bugs.debian.org
Subject: Re: akonadi-server: not possible to create socket in AFS $HOME
Date: Mon, 13 Dec 2010 14:53:26 +0100
A patch based on the patch I submitted here[1] has been applied
upstream[2].  (The upstream patch would need some modifications to apply
to the version currently in squeeze/sid; my original patch applies
cleanly).

Is it still possible to get this included for Squeeze?  It has been
working well for me in the last two weeks.  The problem might affect
many users in university networks[3], making at least kmail unusable.

Regards,
Ansgar

[1] <http://bugs.debian.org/545139#17>
[2] <https://bugs.kde.org/show_bug.cgi?id=179006#c12>
[3] <https://bugs.kde.org/show_bug.cgi?id=203460#c2>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#545139; Package akonadi-server. (Fri, 14 Jan 2011 12:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 14 Jan 2011 12:00:03 GMT) Full text and rfc822 format available.

Message #29 received at 545139@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>
To: 545139@bugs.debian.org
Subject: Re: akonadi-server: not possible to create socket in AFS $HOME
Date: Fri, 14 Jan 2011 12:58:03 +0100
[Message part 1 (text/plain, inline)]
Hi,

as discussed on IRC, I backported the upstream patch for this bug.

The functions in socketdir.cpp are now identical to upstream's, just
moved from utils.cpp to socketdir.cpp (as I was using this in the
earlier patch and utils.cpp is not present in Debian's version of
Akonadi anyway).

The upstream fix 1fa22c55fd98f29321b943605466ef4d4640de53 is included as
well, as per my original patch.

In addition, several places had to be changed to use the
preferredSocketDirectory function.

Upstream commit: e4affdfc2922efc10b647939fd4e068c02e256eb

Regards,
Ansgar

[04_socket_location.diff (text/x-diff, attachment)]

Changed Bug forwarded-to-address to 'https://bugs.kde.org/show_bug.cgi?id=179006' from 'https://bugs.kde.org/show_bug.cgi?id=203460' Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Fri, 14 Jan 2011 16:12:09 GMT) Full text and rfc822 format available.

Added indication that 545139 affects kmail Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Fri, 14 Jan 2011 16:12:10 GMT) Full text and rfc822 format available.

Forcibly Merged 545139 604805. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sat, 30 Apr 2011 09:16:26 GMT) Full text and rfc822 format available.

Reply sent to Modestas Vainius <modax@debian.org>:
You have taken responsibility. (Sat, 30 Apr 2011 09:48:26 GMT) Full text and rfc822 format available.

Notification sent to Markus Koeberl <markus.koeberl@tugraz.at>:
Bug acknowledged by developer. (Sat, 30 Apr 2011 09:48:30 GMT) Full text and rfc822 format available.

Message #40 received at 545139-close@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: 545139-close@bugs.debian.org
Subject: Bug#545139: fixed in akonadi 1.3.1-4
Date: Sat, 30 Apr 2011 09:47:12 +0000
Source: akonadi
Source-Version: 1.3.1-4

We believe that the bug you reported is fixed in the latest version of
akonadi, which is due to be installed in the Debian FTP archive:

akonadi-dbg_1.3.1-4_amd64.deb
  to main/a/akonadi/akonadi-dbg_1.3.1-4_amd64.deb
akonadi-server_1.3.1-4_amd64.deb
  to main/a/akonadi/akonadi-server_1.3.1-4_amd64.deb
akonadi_1.3.1-4.diff.gz
  to main/a/akonadi/akonadi_1.3.1-4.diff.gz
akonadi_1.3.1-4.dsc
  to main/a/akonadi/akonadi_1.3.1-4.dsc
libakonadi-dev_1.3.1-4_amd64.deb
  to main/a/akonadi/libakonadi-dev_1.3.1-4_amd64.deb
libakonadiprivate1_1.3.1-4_amd64.deb
  to main/a/akonadi/libakonadiprivate1_1.3.1-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545139@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Modestas Vainius <modax@debian.org> (supplier of updated akonadi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Apr 2011 12:31:46 +0300
Source: akonadi
Binary: libakonadiprivate1 akonadi-dbg libakonadi-dev akonadi-server
Architecture: source amd64
Version: 1.3.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Modestas Vainius <modax@debian.org>
Description: 
 akonadi-dbg - debugging symbols for the Akonadi PIM storage service
 akonadi-server - Akonadi PIM storage service
 libakonadi-dev - development files for the Akonadi PIM storage service
 libakonadiprivate1 - libraries for the Akonadi PIM storage service
Closes: 545139
Changes: 
 akonadi (1.3.1-4) unstable; urgency=low
 .
   * Add patch 04_socket_location.diff to allow akonadi-server to run when HOME
     is mounted to the network filesystem (Closes: #545139). Thanks to Ansgar
     Burchardt for the patch.
Checksums-Sha1: 
 3c3b527a026b84977548a54a20c144b69d006825 1567 akonadi_1.3.1-4.dsc
 47657fbdf93805d2a28d3f2660743bb4da03cf90 9301 akonadi_1.3.1-4.diff.gz
 353a6fedc1ffcc976870777ded8596e09963b2c7 655706 libakonadiprivate1_1.3.1-4_amd64.deb
 46028c395bcb545aafdb4b7a6cc95326822c7bec 9029004 akonadi-dbg_1.3.1-4_amd64.deb
 ca50b10fa32fd3665153c0c517a15d138834b3c7 57568 libakonadi-dev_1.3.1-4_amd64.deb
 fe8224aeccfc31696deed9d451ca2eaa2aac34c8 215656 akonadi-server_1.3.1-4_amd64.deb
Checksums-Sha256: 
 dfe069fa34740590df7020436184c74f88022be216d9f6aaecdff3573856185c 1567 akonadi_1.3.1-4.dsc
 f05b3c97e98fb016d90f7dd51c683b2c53a21bdeb39d17d41fbee6a9a5972911 9301 akonadi_1.3.1-4.diff.gz
 6ac7454a4adf8d08e6f8f0d5a9aa665110ae45a761f886ad6f9a0d509d6ffdb5 655706 libakonadiprivate1_1.3.1-4_amd64.deb
 8c27f44988f7f17c94a5479fb64852901d04eecce07137141914ca33cd46a458 9029004 akonadi-dbg_1.3.1-4_amd64.deb
 7a01acab43d40da8500f5f3eb53b2e22984bc1fd0a77985054d5569da59d39cc 57568 libakonadi-dev_1.3.1-4_amd64.deb
 1fb77a8bdafc34a416520ab1294a4d7ed2f3eb339c2e766439cd0952289fcfd7 215656 akonadi-server_1.3.1-4_amd64.deb
Files: 
 5dd0c382bd42c7ba3daa3149614e3571 1567 libs extra akonadi_1.3.1-4.dsc
 0c41dfd02a1149eae6eb57aebc7555b5 9301 libs extra akonadi_1.3.1-4.diff.gz
 706793dca93bf688fa9e3498a80caba6 655706 libs extra libakonadiprivate1_1.3.1-4_amd64.deb
 02ef6b81f3b78bded0d4e200667d3650 9029004 debug extra akonadi-dbg_1.3.1-4_amd64.deb
 e076d1ce386177daddd00c1386805241 57568 libdevel extra libakonadi-dev_1.3.1-4_amd64.deb
 dee4a70908019996ebb4d859fefaac0f 215656 net extra akonadi-server_1.3.1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk272ZMACgkQHO9JRnPq4hRTOgCgyHa6QG1T4C6eaP9ps//uM8ni
iZsAoJVu3m++5eJUXAb8qs1Km9RU8Mu0
=4syO
-----END PGP SIGNATURE-----





Reply sent to Modestas Vainius <modax@debian.org>:
You have taken responsibility. (Sat, 30 Apr 2011 09:48:36 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>:
Bug acknowledged by developer. (Sat, 30 Apr 2011 09:48:37 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#545139; Package akonadi-server. (Mon, 06 Jun 2011 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 06 Jun 2011 19:54:03 GMT) Full text and rfc822 format available.

Message #50 received at 545139@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: 545139@bugs.debian.org
Subject: Re: Bug#545139: fixed in akonadi 1.3.1-4
Date: Mon, 6 Jun 2011 21:50:37 +0200
[Message part 1 (text/plain, inline)]
On lördagen den 30 april 2011, you stated the following:
> Changes:
>  akonadi (1.3.1-4) unstable; urgency=low
>  .
>    * Add patch 04_socket_location.diff to allow akonadi-server to run when
> HOME is mounted to the network filesystem (Closes: #545139). Thanks to
> Ansgar Burchardt for the patch.

After upgrading to that version, kmail stopped working because it (or rather 
libakonadi-kde4, or libakonadiprivate1?) still tries to use the old socket 
path. What have I missed regarding how clients find the socket? (No socket 
path is defined in ~/.config/akonadi/akonadiserverrc, so the new default is 
used.)

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#545139; Package akonadi-server. (Tue, 07 Jun 2011 10:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 07 Jun 2011 10:21:13 GMT) Full text and rfc822 format available.

Message #55 received at 545139@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Magnus Holmgren <holmgren@debian.org>
Cc: 545139@bugs.debian.org
Subject: Re: Re: Bug#545139: fixed in akonadi 1.3.1-4
Date: Tue, 07 Jun 2011 13:05:44 +0300
21:59, Magnus Holmgren rašė:
> On lördagen den 30 april 2011, you stated the following:
>> Changes:
>>   akonadi (1.3.1-4) unstable; urgency=low
>>   .
>>     * Add patch 04_socket_location.diff to allow akonadi-server to run when
>> HOME is mounted to the network filesystem (Closes: #545139). Thanks to
>> Ansgar Burchardt for the patch.
> After upgrading to that version, kmail stopped working because it (or rather
> libakonadi-kde4, or libakonadiprivate1?) still tries to use the old socket
> path.

To be honest, your statement is conflicting. "kmail *stopped* working 
because it still tries to use *old* socket path". It is either kmail 
worked before (with old path) or it didn't (hence you need new path). 
Sorry, but I don't understand.
>   What have I missed regarding how clients find the socket? (No socket
> path is defined in ~/.config/akonadi/akonadiserverrc, so the new default is
> used.)
Akonadi is supposed to create a socket in /tmp only if it can't do that 
in $HOME.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#545139; Package akonadi-server. (Tue, 07 Jun 2011 13:45:08 GMT) Full text and rfc822 format available.

Message #58 received at 545139@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>
To: Magnus Holmgren <holmgren@debian.org>
Cc: 545139@bugs.debian.org
Subject: Re: Bug#545139: Re: Bug#545139: fixed in akonadi 1.3.1-4
Date: Tue, 07 Jun 2011 15:05:06 +0200
Modestas Vainius <modax@debian.org> writes:
> 21:59, Magnus Holmgren rašė:
>> On lördagen den 30 april 2011, you stated the following:
>>> Changes:
>>>   akonadi (1.3.1-4) unstable; urgency=low
>>>   .
>>>     * Add patch 04_socket_location.diff to allow akonadi-server to run when
>>> HOME is mounted to the network filesystem (Closes: #545139). Thanks to
>>> Ansgar Burchardt for the patch.
>> After upgrading to that version, kmail stopped working because it (or rather
>> libakonadi-kde4, or libakonadiprivate1?) still tries to use the old socket
>> path.
>
> To be honest, your statement is conflicting. "kmail *stopped* working
> because it still tries to use *old* socket path". It is either kmail
> worked before (with old path) or it didn't (hence you need new
> path). Sorry, but I don't understand.
>>   What have I missed regarding how clients find the socket? (No socket
>> path is defined in ~/.config/akonadi/akonadiserverrc, so the new default is
>> used.)
> Akonadi is supposed to create a socket in /tmp only if it can't do
> that in $HOME.

No, with the patch akonadi will always create the socket in /tmp and
only place a symlink in $HOME (unless SocketDirectory is set in the
configuration).

This means that new processes will not be able to connect to the old
socket after an upgrade; it should work correctly once the database
process is restarted.  I did not bother with caring about the upgrade
case when I wrote the initial patch, but for a stable update we might
want to look for an already existing socket in the old location first.

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#545139; Package akonadi-server. (Tue, 07 Jun 2011 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 07 Jun 2011 17:33:06 GMT) Full text and rfc822 format available.

Message #63 received at 545139@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>, 545139@bugs.debian.org
Cc: Magnus Holmgren <holmgren@debian.org>
Subject: Re: Bug#545139: Re: Bug#545139: fixed in akonadi 1.3.1-4
Date: Tue, 7 Jun 2011 20:31:08 +0300
[Message part 1 (text/plain, inline)]
Hello,

On antradienis 07 Birželis 2011 16:05:06 Ansgar Burchardt wrote:
> Modestas Vainius <modax@debian.org> writes:
> > 21:59, Magnus Holmgren rašė:
> >> On lördagen den 30 april 2011, you stated the following:
> >>> Changes:
> >>>   akonadi (1.3.1-4) unstable; urgency=low
> >>>   .
> >>>   
> >>>     * Add patch 04_socket_location.diff to allow akonadi-server to run
> >>>     when
> >>> 
> >>> HOME is mounted to the network filesystem (Closes: #545139). Thanks to
> >>> Ansgar Burchardt for the patch.
> >> 
> >> After upgrading to that version, kmail stopped working because it (or
> >> rather libakonadi-kde4, or libakonadiprivate1?) still tries to use the
> >> old socket path.
> > 
> > To be honest, your statement is conflicting. "kmail *stopped* working
> > because it still tries to use *old* socket path". It is either kmail
> > worked before (with old path) or it didn't (hence you need new
> > path). Sorry, but I don't understand.
> > 
> >>   What have I missed regarding how clients find the socket? (No socket
> >> 
> >> path is defined in ~/.config/akonadi/akonadiserverrc, so the new default
> >> is used.)
> > 
> > Akonadi is supposed to create a socket in /tmp only if it can't do
> > that in $HOME.
> 
> No, with the patch akonadi will always create the socket in /tmp and
> only place a symlink in $HOME (unless SocketDirectory is set in the
> configuration).
> 
> This means that new processes will not be able to connect to the old
> socket after an upgrade; it should work correctly once the database
> process is restarted.  I did not bother with caring about the upgrade
> case when I wrote the initial patch, but for a stable update we might
> want to look for an already existing socket in the old location first.

Stable update has been requested a month and a half ago [1] and, apparently, 
already is a pretty complicated decision for release team. So please make this 
as painless as possible or it may never get to stable.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=624647


-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#545139; Package akonadi-server. (Sat, 11 Jun 2011 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 11 Jun 2011 20:06:03 GMT) Full text and rfc822 format available.

Message #68 received at 545139@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: 545139@bugs.debian.org
Subject: Re: Bug#545139: fixed in akonadi 1.3.1-4
Date: Sat, 11 Jun 2011 22:03:07 +0200
[Message part 1 (text/plain, inline)]
On tisdagen den 7 juni 2011, Ansgar Burchardt wrote:
> Modestas Vainius <modax@debian.org> writes:
> > Akonadi is supposed to create a socket in /tmp only if it can't do
> > that in $HOME.
> 
> No, with the patch akonadi will always create the socket in /tmp and
> only place a symlink in $HOME (unless SocketDirectory is set in the
> configuration).
> 
> This means that new processes will not be able to connect to the old
> socket after an upgrade; it should work correctly once the database
> process is restarted.  I did not bother with caring about the upgrade
> case when I wrote the initial patch, but for a stable update we might
> want to look for an already existing socket in the old location first.

Well, I didn't notice any problem until after I rebooted my computer, which is 
why I'm confused.

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#545139; Package akonadi-server. (Sun, 12 Jun 2011 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 12 Jun 2011 09:03:06 GMT) Full text and rfc822 format available.

Message #73 received at 545139@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Magnus Holmgren <holmgren@debian.org>, 545139@bugs.debian.org
Cc: Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>
Subject: Re: Bug#545139: fixed in akonadi 1.3.1-4
Date: Sun, 12 Jun 2011 11:59:47 +0300
[Message part 1 (text/plain, inline)]
Hello,

On šeštadienis 11 Birželis 2011 23:03:07 Magnus Holmgren wrote:
> On tisdagen den 7 juni 2011, Ansgar Burchardt wrote:
> > Modestas Vainius <modax@debian.org> writes:
> > > Akonadi is supposed to create a socket in /tmp only if it can't do
> > > that in $HOME.
> > 
> > No, with the patch akonadi will always create the socket in /tmp and
> > only place a symlink in $HOME (unless SocketDirectory is set in the
> > configuration).
> > 
> > This means that new processes will not be able to connect to the old
> > socket after an upgrade; it should work correctly once the database
> > process is restarted.  I did not bother with caring about the upgrade
> > case when I wrote the initial patch, but for a stable update we might
> > want to look for an already existing socket in the old location first.
> 
> Well, I didn't notice any problem until after I rebooted my computer, which
> is why I'm confused.

Maybe you still have an old akonadi library around?

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jul 2011 07:31:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:51:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.